
//Glitch deamon by PLN
//Derieved from Pixelscape By [Marianne Teixido](https://github.com/MarianneTeixido)
src(o2)
	.saturate(1.2)
	.scale( // Glitch camera
  		[.995,.995,.995,1.001] // movements
         .fast(1/8) // pace
  	)
	.color()
  	.modulateHue(src(o2).hue(.3).posterize(10).contrast(.9),2)
	.layer(
  		src(o2)
	  	.luma(() => 2 * Math.sin(5 + time/10),0) // Holes
  		.mult(gradient(1).saturate(.9))
	)
 	.out(o0)
noise(20, 0.045)
	.layer(src(o0).scrollX(.0002).scrollY(-.003)) // Comment to reset
	.rotate(0.00000,-.0000015)
  	.out(o2)
render(o0)
